Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.system
Class DefaultLogger

    java.lang.Object
      com.servingxml.util.system.DefaultLogger

All Implemented Interfaces:
  Logger

    public class DefaultLogger

extends java.lang.Object
implements Logger

Default system error handler.

See Also:
  `Logger`

Constructor Summary
`DefaultLogger()`

Method Summary
`void` | `error(RuntimeContext context, java.lang.String message)`
`void` | `notice(RuntimeContext context, java.lang.String message)`
`void` | `printStackTrace(RuntimeContext context, java.lang.Throwable t)`
`void` | `trace(RuntimeContext context, java.lang.String sourceClass, java.lang.String sourceMethod, java.lang.String message, java.util.logging.Level level)`
`void` | `warning(RuntimeContext context, java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLogger

    public DefaultLogger()

Method Detail

### trace

    public final void trace(RuntimeContext context,
                            java.lang.String sourceClass,
                            java.lang.String sourceMethod,
                            java.lang.String message,
                            java.util.logging.Level level)

  Specified by:
    `trace` in interface `Logger`

### warning

    public final void warning(RuntimeContext context,
                              java.lang.String message)

  Specified by:
    `warning` in interface `Logger`

### notice

    public final void notice(RuntimeContext context,
                             java.lang.String message)

  Specified by:
    `notice` in interface `Logger`

### error

    public final void error(RuntimeContext context,
                            java.lang.String message)

  Specified by:
    `error` in interface `Logger`

### printStackTrace

    public void printStackTrace(RuntimeContext context,
                                java.lang.Throwable t)

  Specified by:
    `printStackTrace` in interface `Logger`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD